# Class SetACLResponse

java.lang.Object
org.apache.zookeeper.proto.SetACLResponse

All Implemented Interfaces:
  `Record`

@Public public class SetACLResponse extends Object implements Record

## Constructor Summary

Constructors
Constructor
Description
`SetACLResponse()`
`SetACLResponse(Stat stat)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object peer_)`
`void`
`copyFrom(SetACLResponse from)`
`void`
`deserialize(InputArchive a_, String tag)`
`boolean`
`equals(Object peer_)`
`Stat`
`getStat()`
`int`
`hashCode()`
`void`
`readFields(DataInput in)`
`void`
`serialize(OutputArchive a_, String tag)`
`void`
`setStat(Stat m_)`
`static String`
`signature()`
`String`
`toString()`
`void`
`write(DataOutput out)`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SetACLResponse

public SetACLResponse()

### SetACLResponse

public SetACLResponse(Stat stat)

## Method Details

### getStat

public Stat getStat()

### setStat

public void setStat(Stat m_)

### copyFrom

public void copyFrom(SetACLResponse from)

### serialize

public void serialize(OutputArchive a_, String tag) throws IOException

Specified by:
  `serialize` in interface `Record`
Throws:
  `IOException`

### deserialize

public void deserialize(InputArchive a_, String tag) throws IOException

Specified by:
  `deserialize` in interface `Record`
Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### write

public void write(DataOutput out) throws IOException

Throws:
  `IOException`

### readFields

public void readFields(DataInput in) throws IOException

Throws:
  `IOException`

### compareTo

public int compareTo(Object peer_) throws ClassCastException

Throws:
  `ClassCastException`

### equals

public boolean equals(Object peer_)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### signature

public static String signature()